# $Revision: 1.6 $, $Date: 2002/08/24 18:27:12 $
Summary:	A PAM module that can mount remote volumes for a user session
Summary(pl):	Modu PAM, pozwalajcy mountowa zdalne zasoby na czas sesji uytkownika
Name:		pam_mount
Version:	0.3.8
Release:	1
License:	LGPL
Group:		Base
Vendor:		Flyn Computing
Source0:	http://www.flyn.org/projects/pam_mount/%{name}-%{version}.tar.gz
URL:		http://www.flyn.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is aimed to environments with SMB (Samba or Windows NT)
and/or NCP (Netware or Mars-NWE) servers that Unix users want or need
to access, and some users have / every user has private volumes in
that servers. The module also supports mounting home directories using
loopback encrypted filesystems (see also
http://www.tldp.org/HOWTO/Loopback-Encrypted-Filesystem-HOWTO.html).
 - Every user can access his/her own volumes
 - The user needs to type the password just once (at login) (*)
 - The mouting process is transparent to the users
 - There is no need to keep the login passwords in any additional file
 - The volumes are unmount upon logout, so it saves system resources,
   avoiding the need of listing every every possibly useful remote volume
   in /etc/fstab or in an automount/supermount config file. This is also
   necessary for securing encrypted filesystems.

(*) Obviously, the user password in the Unix system and in the remote
servers must be the same ;)

Pam_mount "understands" SMB, NCP, and encrypted loopback volumes, but
this can be extended very easily.

%description -l pl
Przeznaczeniem tego moduu s rodowiska z protokoem SMB (Samba lub
Windows NT) i/lub NCP (Netware lub Mars-NWE), w ktrych uytkownicy 
chc lub potrzebuj takich zasobw. Modu ten wspiera take mountowanie 
katalogw domowych z zaszyfrowanych systemw plikw przy uyciu 
loopbacka (zobacz take: 
http://www.tldp.org/HOWTO/Loopback-Encrypted-Filesystem-HOWTO.html).
 - kady uytkownik ma dostp do swoich zasobw
 - uytkownik musi wpisa swoje haso tylko raz (przy logowaniu) (*)
 - proces mountowania jest niewidzialny dla uytkownika
 - nie ma potrzeby trzymania hasa i loginu w adnym dodatkowym pliku
 - katalogi s odmountowywane podczas wylogowania, co oszczdza zasoby
   systemowe, zabezpiecza przed koniecznoci umieszczenia kadego
   potrzebnego zdalnego zasobu w /etc/fstab lub w konfiguracji
   automounta/supermounta. Jest to take konieczne do zabezpieczenia
   zaszyfrowanych systemw plikw.

(*) Oczywicie haso na lokalnym i zdalnym systemie musi by identyczne ;)

pam_mount "rozumie" SMB, NCP oraz zaszyfrowane systemy plikw po
loopbacku, ale moe by rozszerzony w prosty sposb.

%prep
%setup -q

%build
aclocal
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime) /etc/security/pam_mount.conf
%attr(755,root,root) %{_bindir}/pmhelper
%attr(755,root,root) /lib/security/pam_mount.so

%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pam_mount.spec,v $
Revision 1.6  2002/08/24 18:27:12  kloczek
- updated to 0.3.8.

Revision 1.5  2002/08/13 18:22:39  qboosh
- pl fixes, release 2

Revision 1.4  2002/08/13 14:49:57  blues
- INSTALL was standard file

Revision 1.3  2002/08/13 14:48:08  blues
- url added

Revision 1.2  2002/08/13 14:44:42  blues
- translation, many cleanups, more BR; STBR

Revision 1.1  2002/08/10 13:41:19  areq
- 0.3.6
- init PLD spec
